Summary: International fonts for X11
Name: intlfonts
Version: 1.2
Release: 1
Copyright: GPL
Group: X11/fonts
Source0: ftp://ftp.gnu.org/gnu/intlfonts/%{name}-%{version}.tar.gz
Source1: %{name}-init.el
BuildArchitectures: noarch
BuildRoot: /var/tmp/intlfonts-root
Requires: gawk

%description 
This package contains a collection of free X11 fonts for various
languages.  They can be used by Emacs version 20.  Note that the emacs
package shipped with Redhat releases prior to 5.2 (or was it prior to
5.1?)  had the ability to use these fonts disabled.

%package Asian
Summary: Asian fonts
Group: X11/fonts
Requires: intlfonts >= 1.2
%description Asian
Asian fonts for X11

%package Chinese
Summary: Chinese fonts
Group: X11/fonts
Requires: intlfonts >= 1.2
%description Chinese
Chinese fonts for X11

%package Chinese.BIG
Summary: Large Chinese fonts
Group: X11/fonts
Requires: intlfonts >= 1.2
%description Chinese.BIG
Large Chinese fonts for X11

%package Chinese.X
Summary: Chinese fonts included in X11 distribution
Group: X11/fonts
Requires: intlfonts >= 1.2
%description Chinese.X
The Chinese fonts that come with the standard X11 distribution.  You
probably don't need these.

%package Ethiopic
Summary: Ethiopic fonts
Group: X11/fonts
Requires: intlfonts >= 1.2
%description Ethiopic
Ethiopic fonts for X11

%package European
Summary: European fonts
Group: X11/fonts
Requires: intlfonts >= 1.2
%description European
European fonts for X11

%package European.BIG
Summary: Large European fonts
Group: X11/fonts
Requires: intlfonts >= 1.2
%description European.BIG
Large European fonts for X11

%package Japanese
Summary: Japanese fonts
Group: X11/fonts
Requires: intlfonts >= 1.2
%description Japanese
Japanese fonts for X11

%package Japanese.BIG
Summary: Large Japanese fonts
Group: X11/fonts
Requires: intlfonts >= 1.2
%description Japanese.BIG
Japanese.BIG fonts for X11

%package Japanese.X
Summary: Japanese fonts for X11
Group: X11/fonts
Requires: intlfonts >= 1.2
%description Japanese.X
Japanese fonts for X11

%package Korean.X
Summary: Korean fonts included in X11 distribution
Group: X11/fonts
Requires: intlfonts >= 1.2
%description Korean.X
The Korean fonts that come with the standard X11 distribution.  You
probably don't need these.

%package Misc
Summary: Misc fonts
Group: X11/fonts
Requires: intlfonts >= 1.2
%description Misc
Arabic and Hebrew fonts for X11

%package TrueType
Summary: TrueType fonts
Group: X11/fonts
Requires: intlfonts >= 1.2
%description TrueType
TrueType fonts for X11

%package Type1
Summary: Type1 fonts
Group: X11/fonts
Requires: intlfonts >= 1.2
%description Type1
Type1 fonts for X11

%define DIR /usr/share/emacs/fonts/
%define SETS Asian Chinese Chinese.BIG Chinese.X Ethiopic European European.BIG Japanese Japanese.BIG Japanese.X Korean.X Misc
%define MISCSETS TrueType Type1

%prep
%setup -q

%build

%install

rm -rf ${RPM_BUILD_ROOT}

for i in %{SETS} %{MISCSETS}
do
  mkdir -p ${RPM_BUILD_ROOT}%{DIR}/$i
done

for i in %{SETS}
do
  /usr/bin/install -m 444 $i/*.bdf $RPM_BUILD_ROOT%{DIR}/$i
  [ -f $i/fonts.alias ] && /usr/bin/install -m 444 $i/fonts.alias $RPM_BUILD_ROOT%{DIR}/$i
done

/usr/bin/install -m 444 TrueType/*.* $RPM_BUILD_ROOT%{DIR}/TrueType
/usr/bin/install -m 444 Type1/*.* $RPM_BUILD_ROOT%{DIR}/Type1

mkdir -p $RPM_BUILD_ROOT/usr/share/emacs/site-lisp/%{name}
install -m 0644 $RPM_SOURCE_DIR/%{name}-init.el $RPM_BUILD_ROOT/usr/share/emacs/site-lisp/%{name}

%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%doc ChangeLog Emacs.ap NEWS README
%dir /usr/share/emacs/site-lisp/%{name}
/usr/share/emacs/site-lisp/%{name}/*

%files Asian
%doc Asian/README
%defattr(-, root, root)
%{DIR}/Asian

%files Chinese
%doc Chinese/README
%defattr(-, root, root)
%{DIR}/Chinese

%files Chinese.BIG
%doc Chinese.BIG/README
%defattr(-, root, root)
%{DIR}/Chinese.BIG

%files Chinese.X
%doc Chinese.X/README
%defattr(-, root, root)
%{DIR}/Chinese.X

%files Ethiopic
%doc Ethiopic/README
%defattr(-, root, root)
%{DIR}/Ethiopic

%files European
%doc European/README
%defattr(-, root, root)
%{DIR}/European

%files European.BIG
%doc European.BIG/README
%defattr(-, root, root)
%{DIR}/European.BIG

%files Japanese
%doc Japanese/README
%defattr(-, root, root)
%{DIR}/Japanese

%files Japanese.BIG
%doc Japanese.BIG/README
%defattr(-, root, root)
%{DIR}/Japanese.BIG

%files Japanese.X
%doc Japanese.X/README
%defattr(-, root, root)
%{DIR}/Japanese.X

%files Korean.X
%doc Korean.X/README
%defattr(-, root, root)
%{DIR}/Korean.X

%files Misc
%doc Misc/README
%defattr(-, root, root)
%{DIR}/Misc

%files TrueType
%doc TrueType/README
%defattr(-, root, root)
%{DIR}/TrueType

%files Type1
%doc Type1/README
%defattr(-, root, root)
%{DIR}/Type1
